from .book import Book
from sqlalchemy import Column, Integer, String, TIMESTAMP, Text, ForeignKey, Enum
from sqlalchemy.orm import relationship
from sqlalchemy.ext.declarative import declarative_base

Base = declarative_base()


class BookCategory(Base):
    __tablename__ = 'book_category'

    id = Column(Integer, primary_key=True, autoincrement=True)
    parent_category_id = Column(Integer, ForeignKey(
        'book_category.id'), nullable=True, index=True)
    name = Column(String(100), nullable=False, unique=True)

    parent_category = relationship('BookCategory', remote_side=[id])
    books = relationship(
        'Book', secondary='book_category_link', back_populates='categories')
